# Class MarchingSquares

java.lang.Object
org.jmol.jvxl.calc.MarchingSquares

public class MarchingSquares extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTOUR_POINT`
`int`
`contourType`
`float[]`
`contourValuesUsed`
`int`
`contourVertexCount`
`static final int`
`defaultContourCount`
`static final int`
`EDGE_POINT`
`static final int`
`VERTEX_POINT`

## Constructor Summary

Constructors
Constructor
Description
`MarchingSquares(VertexDataServer surfaceReader, VolumeData volumeData, P4 thePlane, float[] contoursDiscrete, int nContours, int thisContour, boolean contourFromZero)`

## Method Summary

Modifier and Type
Method
Description
`int`
`addContourVertex(P3 vertexXYZ, float value)`
`int`
`addTriangle(int iA, int iB, int iC, int check, int iContour)`
`int`
`generateContourData(boolean haveData, float zeroOffset)`
`float[]`
`getMinMax()`
`void`
`setContourData(int i, float value)`
`void`
`setMinMax(float valueMin, float valueMax)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTOUR_POINT

public static final int CONTOUR_POINT

See Also:
  - Constant Field Values

### VERTEX_POINT

public static final int VERTEX_POINT

See Also:
  - Constant Field Values

### EDGE_POINT

public static final int EDGE_POINT

See Also:
  - Constant Field Values

### defaultContourCount

public static final int defaultContourCount

See Also:
  - Constant Field Values

### contourType

public int contourType

### contourVertexCount

public int contourVertexCount

### contourValuesUsed

public float[] contourValuesUsed

## Constructor Details

### MarchingSquares

public MarchingSquares(VertexDataServer surfaceReader, VolumeData volumeData, P4 thePlane, float[] contoursDiscrete, int nContours, int thisContour, boolean contourFromZero)

Parameters:
  `surfaceReader` -
  `volumeData` -
  `thePlane` - NOT USED
  `contoursDiscrete` -
  `nContours` -
  `thisContour` -
  `contourFromZero` -

## Method Details

### setMinMax

public void setMinMax(float valueMin, float valueMax)

### addContourVertex

public int addContourVertex(P3 vertexXYZ, float value)

### setContourData

public void setContourData(int i, float value)

### addTriangle

public int addTriangle(int iA, int iB, int iC, int check, int iContour)

Parameters:
  `iA` -
  `iB` -
  `iC` -
  `check` -
  `iContour` -
Returns:
  0

### generateContourData

public int generateContourData(boolean haveData, float zeroOffset)

### getMinMax

public float[] getMinMax()